Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::DocFieldConsumerPerField Class Referenceabstract

`#include <DocFieldConsumerPerField.h>`

Inheritance diagram for Lucene::DocFieldConsumerPerField:

## Public Member Functions

virtual | ~DocFieldConsumerPerField ()
virtual String | getClassName ()
boost::shared_ptr< DocFieldConsumerPerField > | shared_from_this ()
virtual void | processFields (Collection< FieldablePtr > fields, int32_t count)=0
| Processes all occurrences of a single field.
virtual void | abort ()=0
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ ~DocFieldConsumerPerField()

virtual Lucene::DocFieldConsumerPerField::~DocFieldConsumerPerField | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::DocFieldConsumerPerField::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::DocFieldConsumerPerField::abort | ( |  | ) |

pure virtual

Implemented in Lucene::DocFieldConsumersPerField, and Lucene::DocInverterPerField.

## ◆ getClassName()

virtual String Lucene::DocFieldConsumerPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::DocFieldConsumersPerField, and Lucene::DocInverterPerField.

## ◆ processFields()

virtual void Lucene::DocFieldConsumerPerField::processFields | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count )

pure virtual

Processes all occurrences of a single field.

Implemented in Lucene::DocFieldConsumersPerField, and Lucene::DocInverterPerField.

## ◆ shared_from_this()

boost::shared_ptr< DocFieldConsumerPerField > Lucene::DocFieldConsumerPerField::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- DocFieldConsumerPerField.h

clucene.sourceforge.net